Mark edited journal notes as "Edited"

2019-06-03 21:55 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

The attached patch marks the edited notes as "Edited", showing on hover the author and time of the last edit.

 edited.png 

This issue is related to #12388, but I chose to open a new issue because in that ticket the request is to journalise the changes as well

which is not implemented by this patch.

Related issues:

Related to Redmine - Feature #12388: diffs for editions of issue/notes entries New

Related to Redmine - Feature #28795: Feature Request: Track Updated Date on J... Closed

Related to Redmine - Defect #36509: Modifications on comments in tickets are ... Closed

Related to Redmine - Defect #16256: Timestamp of issue note doesn't update wh... Closed

Related to Redmine - Feature #40449: Add updated_on and updated_by fields to ... Closed

Related to Redmine - Defect #41572: `updated_by_id` in Journal retains delete... Closed

Associated revisions

Revision 21713 - 2022-07-17 06:40 - Go MAEDA

Mark edited journal notes as "Edited" (#31505).

Patch by Marius BALTEANU.

Revision 21714 - 2022-07-17 06:47 - Go MAEDA

Update locales (#31505).

History

#1 - 2019-06-03 21:55 - Marius BĂLTEANU

- Related to Feature #12388: diffs for editions of issue/notes entries added

#2 - 2019-06-04 05:43 - Bernhard Rohloff

The patch works as expected. Very nice. :)

#3 - 2019-06-04 07:23 - Marius BĂLTEANU

- Target version set to Candidate for next major release

#4 - 2019-06-17 10:16 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 4.2.0

#5 - 2019-08-19 22:52 - Marius BĂLTEANU

- File deleted (0001-Mark-edited-journal-notes-as-Edited.patch)

#6 - 2019-08-19 22:52 - Marius BĂLTEANU

- File 0001-Mark-edited-journal-notes-as-Edited.patch added

#7 - 2019-08-19 22:54 - Marius BĂLTEANU

Updated the patch to apply cleanly on the current trunk. Should include this in 4.1.0?
#8 - 2019-09-09 21:44 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 4.1.0

#9 - 2019-09-28 08:35 - Marius BĂLTEANU

- Assignee set to Jean-Philippe Lang

#10 - 2019-09-28 13:13 - Marius BĂLTEANU

- File deleted (0001-Mark-edited-journal-notes-as-Edited.patch)

#11 - 2019-09-28 13:13 - Marius BĂLTEANU

- File 0001-Mark-edited-journal-notes-as-Edited.patch added

Updated to apply cleanly on the current trunk.

#12 - 2019-10-21 23:06 - Marius BĂLTEANU

- File deleted (0001-Mark-edited-journal-notes-as-Edited.patch)

#13 - 2019-10-21 23:07 - Marius BĂLTEANU

- File 0001-Mark-edited-journal-notes-as-Edited.patch added

Updated to apply cleanly on the current trunk.

#14 - 2019-10-24 09:08 - Marius BĂLTEANU

- File deleted (0001-Mark-edited-journal-notes-as-Edited.patch)

#15 - 2019-10-24 09:08 - Marius BĂLTEANU

- File 0001-Mark-edited-journal-notes-as-Edited.patch added

#16 - 2019-11-02 08:31 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.2.0

#17 - 2020-03-05 12:15 - Malte Blanck

+1 !

#18 - 2020-04-05 12:57 - Marius BĂLTEANU

- File deleted (0001-Mark-edited-journal-notes-as-Edited.patch)

#19 - 2020-04-05 12:57 - Marius BĂLTEANU

- File 0001-Mark-edited-journal-notes-as-Edited.patch added

New version to apply cleanly.

#20 - 2020-07-11 23:16 - Miodrag Milic

Its typical also to show number of edits if that is possible.

#21 - 2020-09-28 11:44 - Go MAEDA

- Related to Feature #28795: Feature Request: Track Updated Date on Journal Entries added

#22 - 2021-03-23 21:42 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

#23 - 2021-10-05 12:03 - Takashi Mizuguchi

I agree with this fix.

The reason is that even if it is a correction of my comment, I want it to have a history of changes from the viewpoint of traceability.

#24 - 2022-01-24 09:45 - Bernhard Rohloff

- Related to Defect #36509: Modifications on comments in tickets are not tracked with respect to changes added
#25 - 2022-03-18 19:44 - Marius BĂLTEANU

- Target version changed from 5.0.0 to Candidate for next major release

#26 - 2022-07-14 11:50 - Go MAEDA

- File 31505-v2.patch added

- Assignee deleted (Jean-Philippe Lang)

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#27 - 2022-07-17 06:40 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#28 - 2023-10-30 10:59 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

#29 - 2024-01-27 05:15 - Go MAEDA

- Related to Defect #16256: Timestamp of issue note doesn't update when updating added

#30 - 2024-03-31 04:00 - Go MAEDA

- Related to Feature #40449: Add updated_on and updated_by fields to Issues API journal response added

#31 - 2024-10-24 10:42 - Go MAEDA

- Related to Defect #41572: `updated_by_id` in Journal retains deleted user id instead of being set to `User.anonymous` added

Files

edited.png 174 KB 2019-06-02 Marius BĂLTEANU

0001-Mark-edited-journal-notes-as-Edited.patch 8.99 KB 2020-04-05 Marius BĂLTEANU

31505-v2.patch 7.88 KB 2022-07-14 Go MAEDA
